ObjectMapperModule (Jackson module: Guice 2.14.0 API)

com.fasterxml.jackson.module.guice

## Class ObjectMapperModule

- java.lang.Object
- - com.fasterxml.jackson.module.guice.ObjectMapperModule

- All Implemented Interfaces:
    com.google.inject.Module

      public class ObjectMapperModule
      extends Object
      implements com.google.inject.Module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectMapperModule()`
    `ObjectMapperModule(Annotation annotation)`
    `ObjectMapperModule(Class<? extends Annotation> annotation)`
    `ObjectMapperModule(com.google.inject.Key<com.fasterxml.jackson.databind.ObjectMapper> objectMapperKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(com.google.inject.Binder binder)`
    `ObjectMapperModule` | `in(Class<? extends Annotation> scopeAnnotation)`
    `ObjectMapperModule` | `registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz)`
    `ObjectMapperModule` | `registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz, Annotation annotation)`
    `ObjectMapperModule` | `registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz, Class<? extends Annotation> annotation)`
    `ObjectMapperModule` | `registerModule(com.google.inject.Key<? extends com.fasterxml.jackson.databind.Module> key)`
    `ObjectMapperModule` | `registerModule(com.fasterxml.jackson.databind.Module module)`
    `ObjectMapperModule` | `withObjectMapper(com.fasterxml.jackson.databind.ObjectMapper m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectMapperModule

          public ObjectMapperModule()

    - #### ObjectMapperModule

          public ObjectMapperModule(Class<? extends Annotation> annotation)

    - #### ObjectMapperModule

          public ObjectMapperModule(Annotation annotation)

    - #### ObjectMapperModule

          public ObjectMapperModule(com.google.inject.Key<com.fasterxml.jackson.databind.ObjectMapper> objectMapperKey)

  - ### Method Detail

    - #### in

          public ObjectMapperModule in(Class<? extends Annotation> scopeAnnotation)

    - #### registerModule

          public ObjectMapperModule registerModule(com.fasterxml.jackson.databind.Module module)

    - #### registerModule

          public ObjectMapperModule registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz)

    - #### registerModule

          public ObjectMapperModule registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz,
                                                   Class<? extends Annotation> annotation)

    - #### registerModule

          public ObjectMapperModule registerModule(Class<? extends com.fasterxml.jackson.databind.Module> clazz,
                                                   Annotation annotation)

    - #### registerModule

          public ObjectMapperModule registerModule(com.google.inject.Key<? extends com.fasterxml.jackson.databind.Module> key)

    - #### withObjectMapper

          public ObjectMapperModule withObjectMapper(com.fasterxml.jackson.databind.ObjectMapper m)

      Parameters:
        `m` - ObjectMapper to use for newly constructed module
      Since:
        2.8

    - #### configure

          public void configure(com.google.inject.Binder binder)

      Specified by:
        `configure` in interface `com.google.inject.Module`

Copyright © 2022 FasterXML. All rights reserved.